Package com.microblink.blinkid.entities.recognizers

# Class Recognizer.Result

java.lang.Object
com.microblink.blinkid.entities.Entity.Result
com.microblink.blinkid.entities.recognizers.Recognizer.Result

All Implemented Interfaces:
  `android.os.Parcelable`

Direct Known Subclasses:
  `BlinkIdMultiSideRecognizer.Result`, `BlinkIdSingleSideRecognizer.Result`, `DocumentFaceRecognizer.Result`, `FrameGrabberRecognizer.Result`, `IdBarcodeRecognizer.Result`, `MrtdCombinedRecognizer.Result`, `PassportRecognizer.Result`, `SuccessFrameGrabberRecognizer.Result`, `TemplatingRecognizer.Result`, `UsdlCombinedRecognizer.Result`, `UsdlRecognizer.Result`, `VisaRecognizer.Result`

Enclosing class:
  Recognizer<T extends Recognizer.Result>

public abstract static class Recognizer.Result extends Entity.Result

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Recognizer.Result.State`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  ### Fields inherited from class com.microblink.blinkid.entities.Entity.Result

  `mOwner`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Result(long nativeResult)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Recognizer.Result`
  `clone()`
  Create a copy of the result.
  `Recognizer.Result.State`
  `getResultState()`
  Returns the state of the recognizer.
  `protected final boolean`
  `isEmpty()`

  ### Methods inherited from class com.microblink.blinkid.entities.Entity.Result

  `describeContents, deserializeFromByteArray, finalize, getNativeContext, readFromParcel, serializeToByteArray, terminateNative, writeToParcel`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Result

    protected Result(long nativeResult)

- ## Method Details

  - ### clone

    @NonNull public abstract Recognizer.Result clone()
    Description copied from class: `Entity.Result`
    Create a copy of the result. This is required in order to retain the result even after owning entity has mutated it.
    Specified by:
      `clone` in class `Entity.Result`
    Returns:
      a copy of the result

  - ### getResultState

    @NonNull public Recognizer.Result.State getResultState()
    Returns the state of the recognizer.
    Returns:
      the state of the recognizer.

  - ### isEmpty

    protected final boolean isEmpty()
    Specified by:
      `isEmpty` in class `Entity.Result`